# ``twisted`.`trial`.`runner`.`LoggedSuite``

class documentation

`class LoggedSuite(TestSuite): (source)`

View In Hierarchy

Any errors logged in this suite will be reported to the `TestResult` object.

Method | `run` | Run the suite, storing all errors in `result`. If an error is logged while no tests are running, then it will be added as an error to `result`.

def run(self, result): (source)
overrides `twisted.trial.unittest.TestSuite.run`
Run the suite, storing all errors in `result`. If an error is logged while no tests are running, then it will be added as an error to `result`.

Parameters
result | A `TestResult` object.